## sphinx-issuetracker 0.11

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sphinxcontrib-issuetracker.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sphinxcontrib-issuetracker.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sphinxcontrib-issuetracker"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sphinxcontrib-issuetracker"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## sphinx-issuetracker 0.8

=== debian/changelog ===
sphinx-issuetracker (0.8-1) unstable; urgency=low

  * New upstream version.
  * Upload to unstable.
  * Change binary package name to python-sphinxcontrib.issuetracker.
  * Fix object.inv location for python-sphinx.
  * Recommend python-debianbts as patch has been included upstream.
  * Move python-launchpadlib to Recommends as it is optional.
  * Add patch to conditionally add intersphinx mappings, depending on the
    presence of files.
  * Add patch to disable issue tracker integration during build to prevent
    network access.
  * Add patch to gracefully handle exceptions caused by missing
    packages.
  * Bump sphinx dependency to (>= 1.0.7+dfsg-1~)
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Clean up debian/* using wrap-and-sort.
  * Use dh_sphinxdoc.
  * Mention JIRA as supported issue tracker.
  * Add patch to disable inclusion of license text in sphinx build.
  * Remove python-lxml from Recommends as it is no longer used.
  * Use consistent wording of 'issue tracker'.
  * Build documentation in dh_auto_build.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Sun, 28 Aug 2011 18:20:48 +0200

sphinx-issuetracker (0.5.4-1) experimental; urgency=low

  * Initial release. (Closes: #603136)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Thu, 11 Nov 2010 10:24:45 +0100

=== debian/control ===
Source: sphinx-issuetracker
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6),
               python-doc,
               python-mock (>= 0.7.0),
               python-py,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python-support
XS-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://packages.python.org/sphinxcontrib-issuetracker
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sphinx-issuetracker/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sphinx-issuetracker/trunk/

Package: python-sphinxcontrib.issuetracker
Architecture: all
Depends: python-sphinx (>= 1.0.7),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Recommends: python-debianbts, python-launchpadlib
Replaces: python-sphinx-issuetracker (<< 0.8)
Breaks: python-sphinx-issuetracker (<< 0.8)
Description: Sphinx integration with different issue trackers
 This extension for Sphinx 1.0 parses textual issue references like #10, looks
 up the issue in the configured issue tracker, and includes a link to the issue.
 .
 Currently the following issue trackers are supported:
  * GitHub
  * BitBucket
  * Launchpad
  * Google Code
  * Debian BTS
  * JIRA
 .
 Furthermore this extension provides a simple API to add other issue trackers.

Package: python-sphinx-issuetracker
Depends: python-sphinxcontrib.issuetracker, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Sphinx integration with different issue trackers (transitional package)
 This is a dummy package to aid switching to python-sphinxcontrib.issuetracker.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=sphinxdoc

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	rm -f doc/license.rst
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d doc/.build/.doctrees -N doc doc/.build/html

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X .js -X .html -X objects.inv

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  $$python setup.py test ; \
	done
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/python*/dist-packages/sphinxcontrib/issuetracker.css

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf doc/.build
	dh_clean

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/sphinxcontrib-issuetracker/sphinxcontrib-issuetracker-([\d\.]+).tar.gz

## sphinx-issuetracker 0.11

=== debian/changelog ===
sphinx-issuetracker (0.11-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to set refdomain for all refnodes (closes: #876932).
  * Drop the transitional package. The new name is available since Wheezy.
  * Update debian/copyright.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 03 Oct 2017 22:46:22 +0700

sphinx-issuetracker (0.11-1) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitry Shachnev ]
  * New upstream release.
    + Build-depend on python-requests.
    + Rebase all patches.
    + Update install and docs files.
  * Use dh_python2 instead of dh_pysupport (closes: #745383).
    + Build-depend on dh-python instead of python-support.
    + Use X-Python-Version instead of XS-Python-Version.
  * Bump debhelper compatibility level to 9.
    + Update debhelper build-dependency.
    + Drop dh_compress override, not needed with new debhelper.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Update Homepage URL, the previous one is no longer working.
  * Delete egg-info directory in clean target (closes: #671196).

  [ Michael Fladischer ]
  * Add lintian override for missing upstream tarball PGP signature.
  * Drop versioned dependency on python-all as there are no prior
    versions in the archive.
  * Use correct format URL for d/copyright.

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 26 Aug 2014 20:57:18 +0400

sphinx-issuetracker (0.9-1) unstable; urgency=low

  * New upstream release.
  * Update handle_missing_packages.patch.
  * Refresh do_not_build_license.patch and move_css.patch for new
    offsets.
  * Install CHANGES.rst as upstream changelog.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Thu, 29 Sep 2011 13:31:15 +0200

=== debian/control ===
Source: sphinx-issuetracker
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-doc,
               python-mock (>= 0.7.0),
               python-py,
               python-requests (>= 1.1),
               python-setuptools,
               python-sphinx (>= 1.1)
X-Python-Version: >= 2.6
Standards-Version: 4.1.1
Homepage: https://github.com/lunaryorn/sphinxcontrib-issuetracker
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx-issuetracker.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx-issuetracker.git

Package: python-sphinxcontrib.issuetracker
Architecture: all
Depends: python-sphinx (>= 1.0.7),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Recommends: python-debianbts, python-launchpadlib
Replaces: python-sphinx-issuetracker (<< 0.8)
Breaks: python-sphinx-issuetracker (<< 0.8)
Description: Sphinx integration with different issue trackers
 This extension for Sphinx 1.0 parses textual issue references like #10, looks
 up the issue in the configured issue tracker, and includes a link to the issue.
 .
 Currently the following issue trackers are supported:
  * GitHub
  * BitBucket
  * Launchpad
  * Google Code
  * Debian BTS
  * JIRA
 .
 Furthermore this extension provides a simple API to add other issue trackers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,sphinxdoc

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	rm -f doc/license.rst
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d doc/.build/.doctrees -N doc doc/.build/html

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  $$python setup.py test ; \
	done
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	rm debian/python-sphinxcontrib.issuetracker/usr/lib/python*/dist-packages/sphinxcontrib/issuetracker/issuetracker.css

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf doc/.build sphinxcontrib_issuetracker.egg-info
	dh_clean

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst
